# -*- coding: utf-8 -*-

timezones = ('CST6CDT',
             'Poland',
             'Kwajalein',
             'leapseconds',
             'MST',
             'NZ',
             'Universal',
             'Libya',
             'Turkey',
             'EST5EDT',
             'Greenwich',
             'NZ-CHAT',
             'MET',
             'Portugal',
             'GMT-0',
             'CET',
             'Eire',
             'PST8PDT',
             'Jamaica',
             'GMT',
             'Zulu',
             'Japan',
             'ROC',
             'GB-Eire',
             'ROK',
             'Navajo',
             'Singapore',
             'GB',
             'EST',
             'GMT0',
             'Hongkong',
             'PRC',
             'Iran',
             'MST7MDT',
             'WET',
             'W-SU',
             'UCT',
             'Cuba',
             'Egypt',
             'GMT+0',
             'EET',
             'Israel',
             'UTC',
             'HST',
             'Iceland',
             'Indian/Mauritius',
             'Indian/Chagos',
             'Indian/Mayotte',
             'Indian/Christmas',
             'Indian/Cocos',
             'Indian/Maldives',
             'Indian/Comoro',
             'Indian/Reunion',
             'Indian/Mahe',
             'Indian/Kerguelen',
             'Indian/Antananarivo',
             'Atlantic/Faroe',
             'Atlantic/Canary',
             'Atlantic/Stanley',
             'Atlantic/Bermuda',
             'Atlantic/South_Georgia',
             'Atlantic/St_Helena',
             'Atlantic/Jan_Mayen',
             'Atlantic/Faeroe',
             'Atlantic/Reykjavik',
             'Atlantic/Cape_Verde',
             'Atlantic/Azores',
             'Atlantic/Madeira',
             'US/Alaska',
             'US/Pacific',
             'US/Eastern',
             'US/Michigan',
             'US/Arizona',
             'US/Indiana-Starke',
             'US/Aleutian',
             'US/Pacific-New',
             'US/Hawaii',
             'US/East-Indiana',
             'US/Central',
             'US/Mountain',
             'US/Samoa',
             'Brazil/DeNoronha',
             'Brazil/Acre',
             'Brazil/East',
             'Brazil/West',
             'Pacific/Port_Moresby',
             'Pacific/Chuuk',
             'Pacific/Easter',
             'Pacific/Kwajalein',
             'Pacific/Tongatapu',
             'Pacific/Yap',
             'Pacific/Wallis',
             'Pacific/Apia',
             'Pacific/Norfolk',
             'Pacific/Efate',
             'Pacific/Fiji',
             'Pacific/Funafuti',
             'Pacific/Palau',
             'Pacific/Guam',
             'Pacific/Saipan',
             'Pacific/Kosrae',
             'Pacific/Niue',
             'Pacific/Ponape',
             'Pacific/Wake',
             'Pacific/Galapagos',
             'Pacific/Johnston',
             'Pacific/Midway',
             'Pacific/Nauru',
             'Pacific/Guadalcanal',
             'Pacific/Chatham',
             'Pacific/Auckland',
             'Pacific/Noumea',
             'Pacific/Fakaofo',
             'Pacific/Tahiti',
             'Pacific/Gambier',
             'Pacific/Majuro',
             'Pacific/Honolulu',
             'Pacific/Pohnpei',
             'Pacific/Pago_Pago',
             'Pacific/Truk',
             'Pacific/Pitcairn',
             'Pacific/Marquesas',
             'Pacific/Bougainville',
             'Pacific/Tarawa',
             'Pacific/Rarotonga',
             'Pacific/Samoa',
             'Pacific/Kiritimati',
             'Pacific/Enderbury',
             'Arctic/Longyearbyen',
             'America/Puerto_Rico',
             'America/Recife',
             'America/Resolute',
             'America/Manaus',
             'America/New_York',
             'America/Rankin_Inlet',
             'America/Lima',
             'America/St_Barthelemy',
             'America/Santo_Domingo',
             'America/Detroit',
             'America/Paramaribo',
             'America/Yakutat',
             'America/Santarem',
             'America/Punta_Arenas',
             'America/Scoresbysund',
             'America/Santiago',
             'America/Guyana',
             'America/Coral_Harbour',
             'America/Rio_Branco',
             'America/Porto_Acre',
             'America/Nipigon',
             'America/Edmonton',
             'America/Port_of_Spain',
             'America/Lower_Princes',
             'America/St_Thomas',
             'America/Guatemala',
             'America/Catamarca',
             'America/Antigua',
             'America/Porto_Velho',
             'America/Rosario',
             'America/Chicago',
             'America/Creston',
             'America/Managua',
             'America/Nassau',
             'America/Bogota',
             'America/Cancun',
             'America/Chihuahua',
             'America/Campo_Grande',
             'America/Halifax',
             'America/Boise',
             'America/Montreal',
             'America/Goose_Bay',
             'America/Sao_Paulo',
             'America/Blanc-Sablon',
             'America/Phoenix',
             'America/Atikokan',
             'America/Cayenne',
             'America/Santa_Isabel',
             'America/Boa_Vista',
             'America/Bahia_Banderas',
             'America/Indianapolis',
             'America/Dominica',
             'America/La_Paz',
             'America/Dawson',
             'America/Moncton',
             'America/Matamoros',
             'America/St_Vincent',
             'America/Regina',
             'America/Yellowknife',
             'America/Rainy_River',
             'America/Kralendijk',
             'America/Monterrey',
             'America/Jamaica',
             'America/Havana',
             'America/Tegucigalpa',
             'America/Guayaquil',
             'America/Metlakatla',
             'America/Mazatlan',
             'America/Belize',
             'America/Knox_IN',
             'America/Cuiaba',
             'America/Merida',
             'America/Jujuy',
             'America/Cayman',
             'America/Belem',
             'America/Eirunepe',
             'America/St_Lucia',
             'America/Bahia',
             'America/Whitehorse',
             'America/Tortola',
             'America/Vancouver',
             'America/Inuvik',
             'America/Port-au-Prince',
             'America/Fortaleza',
             'America/Noronha',
             'America/Buenos_Aires',
             'America/Los_Angeles',
             'America/El_Salvador',
             'America/Denver',
             'America/Fort_Wayne',
             'America/Glace_Bay',
             'America/Montserrat',
             'America/Toronto',
             'America/Panama',
             'America/Cordoba',
             'America/Louisville',
             'America/Ensenada',
             'America/Shiprock',
             'America/Ojinaga',
             'America/Thule',
             'America/Caracas',
             'America/Araguaina',
             'America/Cambridge_Bay',
             'America/Winnipeg',
             'America/Grand_Turk',
             'America/Virgin',
             'America/Anchorage',
             'America/Costa_Rica',
             'America/Nome',
             'America/Grenada',
             'America/St_Johns',
             'America/Atka',
             'America/Asuncion',
             'America/Hermosillo',
             'America/Tijuana',
             'America/Marigot',
             'America/Juneau',
             'America/Montevideo',
             'America/Godthab',
             'America/Guadeloupe',
             'America/Maceio',
             'America/Pangnirtung',
             'America/St_Kitts',
             'America/Barbados',
             'America/Iqaluit',
             'America/Menominee',
             'America/Martinique',
             'America/Mexico_City',
             'America/Swift_Current',
             'America/Miquelon',
             'America/Curacao',
             'America/Dawson_Creek',
             'America/Mendoza',
             'America/Adak',
             'America/Thunder_Bay',
             'America/Aruba',
             'America/Fort_Nelson',
             'America/Sitka',
             'America/Anguilla',
             'America/Danmarkshavn',
             'America/Indiana/Vevay',
             'America/Indiana/Indianapolis',
             'America/Indiana/Winamac',
             'America/Indiana/Tell_City',
             'America/Indiana/Petersburg',
             'America/Indiana/Vincennes',
             'America/Indiana/Knox',
             'America/Indiana/Marengo',
             'America/Argentina/Salta',
             'America/Argentina/Ushuaia',
             'America/Argentina/Catamarca',
             'America/Argentina/ComodRivadavia',
             'America/Argentina/San_Juan',
             'America/Argentina/San_Luis',
             'America/Argentina/Rio_Gallegos',
             'America/Argentina/Jujuy',
             'America/Argentina/Tucuman',
             'America/Argentina/Buenos_Aires',
             'America/Argentina/Cordoba',
             'America/Argentina/La_Rioja',
             'America/Argentina/Mendoza',
             'America/Kentucky/Louisville',
             'America/Kentucky/Monticello',
             'America/North_Dakota/New_Salem',
             'America/North_Dakota/Center',
             'America/North_Dakota/Beulah',
             'Australia/Melbourne',
             'Australia/Queensland',
             'Australia/North',
             'Australia/Lord_Howe',
             'Australia/Adelaide',
             'Australia/Yancowinna',
             'Australia/Victoria',
             'Australia/Canberra',
             'Australia/Sydney',
             'Australia/ACT',
             'Australia/Eucla',
             'Australia/Brisbane',
             'Australia/Tasmania',
             'Australia/Hobart',
             'Australia/Perth',
             'Australia/South',
             'Australia/Lindeman',
             'Australia/Darwin',
             'Australia/West',
             'Australia/LHI',
             'Australia/NSW',
             'Australia/Broken_Hill',
             'Australia/Currie',
             'Etc/GMT-10',
             'Etc/GMT+12',
             'Etc/GMT-11',
             'Etc/Universal',
             'Etc/Greenwich',
             'Etc/GMT-6',
             'Etc/GMT-1',
             'Etc/GMT-8',
             'Etc/GMT+4',
             'Etc/GMT+3',
             'Etc/GMT-9',
             'Etc/GMT-0',
             'Etc/GMT-7',
             'Etc/GMT+2',
             'Etc/GMT+5',
             'Etc/GMT',
             'Etc/Zulu',
             'Etc/GMT+11',
             'Etc/GMT-13',
             'Etc/GMT-14',
             'Etc/GMT+10',
             'Etc/GMT-12',
             'Etc/GMT0',
             'Etc/UCT',
             'Etc/GMT+0',
             'Etc/GMT+7',
             'Etc/GMT+9',
             'Etc/GMT-2',
             'Etc/GMT-5',
             'Etc/GMT+8',
             'Etc/GMT+6',
             'Etc/GMT+1',
             'Etc/UTC',
             'Etc/GMT-4',
             'Etc/GMT-3',
             'Asia/Dushanbe',
             'Asia/Calcutta',
             'Asia/Urumqi',
             'Asia/Karachi',
             'Asia/Khandyga',
             'Asia/Thimbu',
             'Asia/Thimphu',
             'Asia/Vladivostok',
             'Asia/Vientiane',
             'Asia/Shanghai',
             'Asia/Ulan_Bator',
             'Asia/Aden',
             'Asia/Muscat',
             'Asia/Damascus',
             'Asia/Jerusalem',
             'Asia/Brunei',
             'Asia/Ulaanbaatar',
             'Asia/Amman',
             'Asia/Kuching',
             'Asia/Tel_Aviv',
             'Asia/Seoul',
             'Asia/Atyrau',
             'Asia/Pyongyang',
             'Asia/Hovd',
             'Asia/Hebron',
             'Asia/Kuwait',
             'Asia/Tomsk',
             'Asia/Manila',
             'Asia/Chita',
             'Asia/Katmandu',
             'Asia/Gaza',
             'Asia/Samarkand',
             'Asia/Taipei',
             'Asia/Tashkent',
             'Asia/Yekaterinburg',
             'Asia/Macau',
             'Asia/Qyzylorda',
             'Asia/Macao',
             'Asia/Tokyo',
             'Asia/Baku',
             'Asia/Barnaul',
             'Asia/Istanbul',
             'Asia/Irkutsk',
             'Asia/Qatar',
             'Asia/Bahrain',
             'Asia/Yangon',
             'Asia/Yerevan',
             'Asia/Almaty',
             'Asia/Dili',
             'Asia/Dacca',
             'Asia/Chongqing',
             'Asia/Ust-Nera',
             'Asia/Magadan',
             'Asia/Colombo',
             'Asia/Krasnoyarsk',
             'Asia/Kamchatka',
             'Asia/Ujung_Pandang',
             'Asia/Jakarta',
             'Asia/Kolkata',
             'Asia/Kabul',
             'Asia/Oral',
             'Asia/Jayapura',
             'Asia/Pontianak',
             'Asia/Makassar',
             'Asia/Tbilisi',
             'Asia/Singapore',
             'Asia/Harbin',
             'Asia/Kashgar',
             'Asia/Dhaka',
             'Asia/Yakutsk',
             'Asia/Kuala_Lumpur',
             'Asia/Tehran',
             'Asia/Beirut',
             'Asia/Aqtobe',
             'Asia/Anadyr',
             'Asia/Bishkek',
             'Asia/Dubai',
             'Asia/Riyadh',
             'Asia/Novokuznetsk',
             'Asia/Aqtau',
             'Asia/Omsk',
             'Asia/Ashkhabad',
             'Asia/Saigon',
             'Asia/Sakhalin',
             'Asia/Hong_Kong',
             'Asia/Phnom_Penh',
             'Asia/Nicosia',
             'Asia/Baghdad',
             'Asia/Srednekolymsk',
             'Asia/Ashgabat',
             'Asia/Kathmandu',
             'Asia/Choibalsan',
             'Asia/Bangkok',
             'Asia/Chungking',
             'Asia/Novosibirsk',
             'Asia/Famagusta',
             'Asia/Rangoon',
             'Asia/Ho_Chi_Minh',
             'Antarctica/Palmer',
             'Antarctica/Davis',
             'Antarctica/Rothera',
             'Antarctica/Vostok',
             'Antarctica/Syowa',
             'Antarctica/DumontDUrville',
             'Antarctica/McMurdo',
             'Antarctica/Macquarie',
             'Antarctica/South_Pole',
             'Antarctica/Troll',
             'Antarctica/Mawson',
             'Antarctica/Casey',
             'Europe/Zurich',
             'Europe/Paris',
             'Europe/Moscow',
             'Europe/Luxembourg',
             'Europe/Ljubljana',
             'Europe/Helsinki',
             'Europe/Minsk',
             'Europe/Skopje',
             'Europe/Dublin',
             'Europe/Jersey',
             'Europe/San_Marino',
             'Europe/Gibraltar',
             'Europe/Belgrade',
             'Europe/Guernsey',
             'Europe/Ulyanovsk',
             'Europe/Saratov',
             'Europe/Vaduz',
             'Europe/Istanbul',
             'Europe/Lisbon',
             'Europe/Uzhgorod',
             'Europe/Kirov',
             'Europe/Tirane',
             'Europe/Tiraspol',
             'Europe/Sarajevo',
             'Europe/Madrid',
             'Europe/Podgorica',
             'Europe/Busingen',
             'Europe/Vatican',
             'Europe/Belfast',
             'Europe/Bratislava',
             'Europe/Kiev',
             'Europe/Kaliningrad',
             'Europe/Zaporozhye',
             'Europe/Vienna',
             'Europe/Budapest',
             'Europe/Vilnius',
             'Europe/Monaco',
             'Europe/Oslo',
             'Europe/Astrakhan',
             'Europe/Simferopol',
             'Europe/Volgograd',
             'Europe/Isle_of_Man',
             'Europe/London',
             'Europe/Riga',
             'Europe/Andorra',
             'Europe/Prague',
             'Europe/Berlin',
             'Europe/Tallinn',
             'Europe/Rome',
             'Europe/Malta',
             'Europe/Zagreb',
             'Europe/Amsterdam',
             'Europe/Nicosia',
             'Europe/Bucharest',
             'Europe/Copenhagen',
             'Europe/Chisinau',
             'Europe/Mariehamn',
             'Europe/Sofia',
             'Europe/Athens',
             'Europe/Stockholm',
             'Europe/Samara',
             'Europe/Brussels',
             'Europe/Warsaw',
             'Mexico/BajaNorte',
             'Mexico/General',
             'Mexico/BajaSur',
             'Africa/Sao_Tome',
             'Africa/Conakry',
             'Africa/Dakar',
             'Africa/Ndjamena',
             'Africa/Casablanca',
             'Africa/Lome',
             'Africa/Algiers',
             'Africa/Mogadishu',
             'Africa/Lagos',
             'Africa/Brazzaville',
             'Africa/Timbuktu',
             'Africa/Nouakchott',
             'Africa/Maseru',
             'Africa/Libreville',
             'Africa/Harare',
             'Africa/Malabo',
             'Africa/Bangui',
             'Africa/Nairobi',
             'Africa/Kinshasa',
             'Africa/Porto-Novo',
             'Africa/Cairo',
             'Africa/Douala',
             'Africa/Juba',
             'Africa/Gaborone',
             'Africa/Tunis',
             'Africa/Kampala',
             'Africa/Mbabane',
             'Africa/Addis_Ababa',
             'Africa/Maputo',
             'Africa/Bissau',
             'Africa/Blantyre',
             'Africa/Niamey',
             'Africa/Banjul',
             'Africa/Abidjan',
             'Africa/Asmara',
             'Africa/Bamako',
             'Africa/Ouagadougou',
             'Africa/Lusaka',
             'Africa/Luanda',
             'Africa/Asmera',
             'Africa/Lubumbashi',
             'Africa/Accra',
             'Africa/Khartoum',
             'Africa/Ceuta',
             'Africa/Bujumbura',
             'Africa/Windhoek',
             'Africa/El_Aaiun',
             'Africa/Tripoli',
             'Africa/Monrovia',
             'Africa/Dar_es_Salaam',
             'Africa/Johannesburg',
             'Africa/Kigali',
             'Africa/Djibouti',
             'Africa/Freetown',
             'Chile/EasterIsland',
             'Chile/Continental',
             'Canada/Atlantic',
             'Canada/Pacific',
             'Canada/Eastern',
             'Canada/Yukon',
             'Canada/Saskatchewan',
             'Canada/Newfoundland',
             'Canada/Central',
             'Canada/Mountain')
